{% extends 'interface/home.twig' %}
{% block content %}
<ol class="breadcrumb">
  <li class="breadcrumb-item"><a href="{{ path_for('homepage') }}">Home</a></li>
  <li class="breadcrumb-item"><a href="{{ path_for('user.list') }}">Usuários</a></li>
  <li class="breadcrumb-item active">Editar</li>
</ol>
{% include 'error/error.twig' %}
{% include 'flash/flash.twig' %}
<form method="POST" action="{{ path_for('user.update', {id:user.id} ) }}">
  <div style="width: 70%; margin: auto;">
	  <div class="form-group" style="margin-top: 3%;">
	    <label for="nome">Nome</label>
	    <input type="text" class="form-control" id="nome"  name="nome" placeholder="Digite o nome" value="{{ user.nome }}" required>
	  </div>
	  <div class="form-group">
	    <label for="login">Login</label>
	    <input type="text" class="form-control" id="login" name="login" placeholder="Digite o login" value="{{ user.login }}" required>
	  </div>
	  <div class="form-group">
	    <label for="email">E-mail</label>
	    <input type="email" class="form-control" id="email" name="email" placeholder="Digite o email" value="{{ user.email }}" required>
	  </div>
	  <div class="form-group">
	    <label for="senha">Senha</label>
	    <input type="password" class="form-control" id="senha" name="senha" placeholder="Digite a senha" required>
	  </div>
	  <div class="form-group">
	    <label for="papel">Papel</label>
	    <select class="form-control" id="papel" name="papelId" required>
	      {% for papel in papeis %}
	      	<option value="{{ papel.id }}" {% if papel.id == user.papelid.id %} selected {% endif %}>{{ papel.tipo }}</option>
	      {% endfor %}
	    </select>
	  </div>
	  
	  <button style="float: right; border: 1px solid black;" type="submit" class="btn btn-default">Alterar</button>
  </div>
</form>
{% endblock %}